'CPU-Z script v 1.5 for Samurize
'Get Samurize here: www.samurize (But I think it already done ;) )

'New Functions added by Nienor (nienor77@msn.com)
'From the previous Script by Haran_Banjo (haran@libero.it)
'based on QuippeR's script (QuippeR@freemail.hu)
'Retrieving info from CPU-Z output file

'----------------------------------------
'Get CPU-Z from http://www.cpuid.com


'Usage:
'The best is to put CPU-Z in this folder: "C:\Program Files\cpu-z\"
'Then, pastle this in the Runbox: "C:\Program Files\cpu-z\cpuz.exe" -file=cpuz
'It will runs CPU-Z in ghost mode and output a txt file witch will be used by this script.


'Please set this constant before using the script!
'CPU-Z outputs filename is:

FILENAME="C:\Program Files\cpu-z\cpuz.txt"



'Modify below this line only if you know what you do!
'----------------------------------------------------

'CPUID Output
CPUNUM = "Number of CPUs"
CPUN = "Name"
CPUCN = "Code name"
CPUSP = "Specification"
FMS = "Family/Model/Stepping"
EFM = "Extended Family/Model"
BRDID = "Brand ID"
PKG = "Package"
CST = "Core Stepping"
TECH = "Technology"
ISET = "Instructions Sets"
FT = "Features"
CS = "Clock Speed"
CM = "Clock multiplier"
HTT = "HTT Bus Frequency"
FSBF = "Front Side Bus Frequency"
BS = "Bus Speed"
PR = "P-Rating"
L1D = "L1 Data Cache"
L1I = "L1 Instruction Cache"
L2C = "L2 Cache"
L2S = "L2 Speed"
L2L = "L2 Location"
L2PL = "L2 Data Prefetch Logic"
L2BW = "L2 Bus Width"

'Chipset
NB = "Northbridge"
SB = "Southbridge"
GI = "Graphic Interface"
PELW = "PCI-E Link Width"
PEMLW = "PCI-E Max Link Width"
AGPR = "AGP Revision"
AGPTR = "AGP Transfert Rate"
AGPS = "AGP SBA"
AGPA = "AGP Aperture"
SEN = "Sensor Chip"

'Memory
MEMT = "Memory Type"
MEMS = "Memory Size"
MEMF = "Memory Frequency"
CAS = "CAS#"
RAS2CAS = "RAS# to CAS#"
RASPR = "RAS# Precharge"
TRAS = "Cycle Time (tRAS)"
TRC = "Bank Cycle Time (tRC)"
DIT = "DRAM Idle Timer"
MBW = "Max bandwidth"

'Software
WIN = "Windows Version"
DX = "DirectX Version"


Function NumberofCPUs()
	NumberofCPUs = getInfo(CPUNUM)
End Function

Function CPUName()
	CPUName = getInfo(CPUN)
End Function

Function CPUCodeName()
	CPUCodeName = getInfo(CPUCN)
End Function

Function CPUSpecification()
	CPUSpecification = getInfo(CPUSP)
End Function

Function CPUFamilyModelStepping()
	CPUFamilyModelStepping = getInfo(FMS)
End Function

Function CPUExtendedFamilyModel()
	CPUExtendedFamilyModel = getInfo(EFM)
End Function

Function BrandID()
	BrandID = getInfo(BRDID)
End Function

Function CPUPackage()
	CPUPackage = getInfo(PKG)
End Function

Function CPUCoreStepping()
	CPUCoreStepping = getInfo(CST)
End Function

Function CPUTechnology()
	CPUTechnology = getInfo(TECH)
End Function

Function CPUInstructionsSets()
	CPUInstructionsSets = getInfo(ISET)
End Function

Function CPUFeatures()
	CPUFeatures = getInfo(FT)
End Function

Function CPUClockSpeed()
	CPUClockSpeed = getInfo(CS)
End Function

Function CPUClockSpeedInGHz(DigitsAfterDecimal)
	temp = CPUClockSpeed()
	temp = left(temp, instr(temp, ".")-1)	
	GHz = (temp*.001)
	CPUClockSpeedInGHz = FormatNumber(GHz,DigitsAfterDecimal) & " GHz"
End Function

Function ClockMultiplier()
	ClockMultiplier = getInfo(CM)
End Function

Function HTTBusFreqAMD()
	HTTBusFreqAMD = getInfo(HTT)
End Function

Function FrontSideBusFrequency()
	FrontSideBusFrequency = getInfo(FSBF)
End Function

Function BusSpeed()
	BusSpeed = getInfo(BS)
End Function

Function PRating()
	PRating = getInfo(PR)
End Function

Function L1DataCache()
	L1DataCache = getInfo(L1D)
End Function

Function L1InstructionCache()
	L1InstructionCache = getInfo(L1I)
End Function

Function L2Cache()
	L2Cache = getInfo(L2C)
End Function

Function L2Speed()
	L2Speed = getInfo(L2S)
End Function

Function L2Location()
	L2Location = getInfo(L2L)
End Function

Function L2PrefetchLogic()
	L2PrefetchLogic = getInfo(L2PL)
End Function

Function L2BusWidth()
	L2BusWidth = getInfo(L2BW)
End Function

'Chipset==================================================

Function Northbridge()
	Northbridge = getInfo(NB)
End Function

Function Southbridge()
	Southbridge = getInfo(SB)
End Function

Function GraphicInterface()
	GraphicInterface = getInfo(GI)
End Function

Function PCIELinkWidth()
	PCIELinkWidth = getInfo(PELW)
End Function

Function PCIEMaxLinkWidth()
	PCIEMaxLinkWidth = getInfo(PEMLW)
End Function

Function AGPRev()
	AGPRev = getInfo(AGPR)
End Function

Function AGPTransfertRate()
	AGPTransfertRate = getInfo(AGPTR)
End Function

Function AGPSBA()
	AGPSBA = getInfo(AGPS)
End Function

Function AGPAperture()
	AGPAperture = getInfo(AGPA)
End Function

Function Sensor()
	Sensor = getInfo(SEN)
End Function

'Memory============================================

Function MemoryType()
	MemoryType = getInfo(MEMT)
End Function

Function MemorySize()
	MemorySize = getInfo(MEMS)
End Function

Function MemoryFrequency()
	MemoryFrequency = getInfo(MEMF)
End Function

Function FSBDRAMRatio()
	FSBDRAMRatio = getRatio(MEMF)
End Function

Function CASLatency()
        CASLatency = getInfo(CAS)
End Function

Function RAStoCAS()
        RAStoCAS = getInfo(RAS2CAS)
End Function

Function RASPrecharge()
        RASPrecharge = getInfo(RASPR)
End Function

Function CycleTime()
        CycleTime = getInfo(TRAS)
End Function

Function BankCycleTime()
	BankCycleTime = getInfo(TRC)
End Function

Function DRAMIdleTimer()
	DRAMIdleTimer = getInfo(DIT)
End Function

Function MaxBandwidth()
	MaxBandwidth = getInfo(MBW)
End Function

'Software=========================================

Function WinVer()
	WinVer = getInfo(WIN)
End Function

Function DirectXVer()
	DirectXVer = getInfo(DX)
End Function

private Function getInfo(text)
information = readfile()
if not (information = "Bad filename") then
 information = right(information, len(information)-instr(information, text)-len(text)+1)
 information = left(information, instr(information, vbNewLine)-1)
 information = replace(information, vbTab, " ")
 information = trim(information)
end if

getInfo = information
End Function

private Function getRatio(text)
ratio = readfile()
if not (ratio = "Bad filename") then
 ratio = right(ratio, len(ratio)-instr(ratio, text)-len(text)-11)
 ratio = left(ratio, instr(ratio, vbNewLine)-2)
 ratio = replace(ratio, vbTab, " ")
 ratio = trim(ratio)
end if

getRatio = ratio
End Function

Private Function readfile()

	Set fs = CreateObject ("Scripting.FileSystemObject")
        If (fs.FileExists(FILENAME)) Then
		Set filePath = fs.GetFile(FILENAME)
		set File = filePath.OpenAsTextStream (1, -2)

		info = file.readall

		File.Close

		Set filePath = nothing
		Set fs = nothing
		Set File = nothing

	Else 
		readfile = "Bad filename"
		Exit Function
        End If

	readFile = info
End Function
